import { EventEmitter, OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { SaffronAdvancedFilterModel } from './models/saffron-advanced-filter.model';
import { SaffronAdvancedFilterChips } from './models/saffron-advanced-filter-chips';
import { SaffronDataType } from '../_18-saffron-models/saffron-data-type';
import { SaffronButtonTypes } from '../_03-saffron-button/models/saffron-button-types';
import { SaffronChipsModel } from '../_05-saffron-chips/models/saffron-chips.model';
import * as i0 from "@angular/core";
export declare class SaffronAdvancedFilterComponent implements OnInit {
    formGroup: FormGroup;
    primaryFilters: SaffronAdvancedFilterModel[];
    secondryFilters: SaffronAdvancedFilterModel[];
    searched: EventEmitter<void>;
    SaffronDataType: typeof SaffronDataType;
    SaffronButtonTypes: typeof SaffronButtonTypes;
    inputTypes: number[];
    chipList: SaffronAdvancedFilterChips[];
    maxPrimaryFilters: number;
    openModal: boolean;
    constructor();
    ngOnInit(): void;
    setChipsList(): void;
    onChipRemove(chip: SaffronChipsModel): void;
    onSearch(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SaffronAdvancedFilterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SaffronAdvancedFilterComponent, "saffron-advanced-filter", never, { "formGroup": { "alias": "formGroup"; "required": false; }; "primaryFilters": { "alias": "primaryFilters"; "required": false; }; "secondryFilters": { "alias": "secondryFilters"; "required": false; }; }, { "searched": "searched"; }, never, never, true, never>;
}
