import { AfterViewInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { SaffronButtonTypes } from '../../_03-saffron-button/models/saffron-button-types';
import { SaffronDataType } from '../../_18-saffron-models/saffron-data-type';
import * as i0 from "@angular/core";
export declare class DemoInput implements AfterViewInit {
    private fb;
    accountNumber: string;
    nationalCodeTitle: string;
    nameTitle: string;
    amountTitle: string;
    formGroup: FormGroup;
    SaffronButtonTypes: typeof SaffronButtonTypes;
    SaffronDataType: typeof SaffronDataType;
    constructor(fb: FormBuilder);
    get nestedFormControls(): FormGroup<any>[];
    ngAfterViewInit(): void;
    addFormArray(): void;
    enterPressed(): void;
    onSearch(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DemoInput, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DemoInput, "demo-input", never, {}, {}, never, never, false, never>;
}
