import { DemoTableModel } from '../demo-table/models/demo-table-model';
import { DemoTableConfig } from '../demo-table/models/demo-table-config';
import { SaffronTabData } from '../../_24-saffron-tab-view/models/saffron-tab-data';
import { SaffronActionColumnEvent, SaffronTableColumn, SaffronTableDataClick } from '../../_23-saffron-table/saffron-table-public-api';
import { SaffronCardButton } from '../../_04-saffron-card-view/models/saffron-card-button';
import * as i0 from "@angular/core";
export declare class DemoTabView {
    tableConfig: DemoTableConfig;
    tabData: SaffronTabData[];
    message?: string;
    rows: DemoTableModel[];
    columns: SaffronTableColumn[];
    cardTwoRemSize: string;
    cardTwoSizeRounded: number;
    constructor(tableConfig: DemoTableConfig);
    tabClicked(tabData: SaffronTabData): void;
    actionButtons: SaffronCardButton[];
    onActionClicked(button: SaffronCardButton): void;
    onTableActionClicked(actionEvent: SaffronActionColumnEvent): void;
    dataClicked(dataClicked: SaffronTableDataClick<DemoTableModel>): void;
    sliderOneChange(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DemoTabView, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DemoTabView, "demo-tab-view", never, {}, {}, never, never, false, never>;
}
