import { DemoTableConfig } from './models/demo-table-config';
import { DemoTableModel } from './models/demo-table-model';
import { SaffronActionColumnEvent, SaffronTableColumn, SaffronTableDataClick } from '../../_23-saffron-table/saffron-table-public-api';
import { TransferTemplateTableConfig } from './models/transfer-template-table.config';
import * as i0 from "@angular/core";
export declare class DemoTable {
    private tableConfig;
    private transferTableConfig;
    pageSizeOptions: number[];
    rows: DemoTableModel[];
    columns: SaffronTableColumn[];
    transferRows: DemoTableModel[];
    transferColumns: SaffronTableColumn[];
    totalCount: number;
    constructor(tableConfig: DemoTableConfig, transferTableConfig: TransferTemplateTableConfig);
    onActionClicked(actionEvent: SaffronActionColumnEvent): void;
    dataClicked(dataClicked: SaffronTableDataClick<DemoTableModel>): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DemoTable, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DemoTable, "demo-table", never, {}, {}, never, never, false, never>;
}
