import { FormGroup, AbstractControl } from '@angular/forms';
import { OnChanges, SimpleChanges } from '@angular/core';
import { default as jalaliMoment } from 'jalali-moment';
import * as i0 from "@angular/core";
export declare class SaffronDatePickerComponent implements OnChanges {
    formGroup: FormGroup;
    controlName: string;
    placeholder: string;
    isRangePicker: boolean;
    rangeStartControlName: string;
    rangeEndControlName: string;
    max: jalaliMoment.Moment;
    min: jalaliMoment.Moment;
    control: AbstractControl;
    currentValue: Date;
    constructor();
    ngOnChanges(changes: SimpleChanges): void;
    private setControl;
    blurred(): void;
    onKey(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SaffronDatePickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SaffronDatePickerComponent, "saffron-date-picker", never, { "formGroup": { "alias": "formGroup"; "required": false; }; "controlName": { "alias": "controlName"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "isRangePicker": { "alias": "isRangePicker"; "required": false; }; "rangeStartControlName": { "alias": "rangeStartControlName"; "required": false; }; "rangeEndControlName": { "alias": "rangeEndControlName"; "required": false; }; "max": { "alias": "max"; "required": false; }; "min": { "alias": "min"; "required": false; }; }, {}, never, never, true, never>;
}
