import { AfterViewInit, ChangeDetectorRef, Renderer2, ViewContainerRef } from '@angular/core';
import { SaffronMenuModel } from './models/menu-model';
import { SaffronLoaderService } from '../../_15-saffron-loader/services/saffron-loader.service';
import * as i0 from "@angular/core";
export declare class DemoViewerComponent implements AfterViewInit {
    private renderer;
    private chRef;
    private viewContainerRef;
    private loaderService;
    activeMenu: string;
    menuItems: SaffronMenuModel[];
    private matSidenav;
    sideNavContent: ViewContainerRef;
    constructor(renderer: Renderer2, chRef: ChangeDetectorRef, viewContainerRef: ViewContainerRef, loaderService: SaffronLoaderService);
    ngAfterViewInit(): void;
    menuClicked(menuItem: string): void;
    private addDynamicComponent;
    static ɵfac: i0.ɵɵFactoryDeclaration<DemoViewerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DemoViewerComponent, "demo-viewer", never, {}, {}, never, never, false, never>;
}
